Package Details: mingw-w64-libidn 1.29-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-libidn.git (read-only)
Package Base: mingw-w64-libidn
Description: Implementation of the Stringprep, Punycode and IDNA specifications (mingw-w64)
Upstream URL: http://www.gnu.org/software/libidn
Licenses: GPL3, LGPL
Submitter: Schala
Maintainer: xantares
Last Packager: xantares
Votes: 6
Popularity: 0.003203
First Submitted: 2012-08-06 06:56
Last Updated: 2015-08-02 19:39

Latest Comments

ant32 commented on 2013-08-28 03:57

It was working fine with the headers till about a week ago with only mingw-w64-headers-svn. I don't like using secure since it comes from dropbox and I don't know what is done to it. Wouldn't looking into what the patch does for
mingw-w64-libtasn1 and apply it here to? I I'm guessing this has been fixed upstream. So I could use secure as a temporary workaround.

Schala commented on 2013-08-28 03:09

You need to use mingw-w64-headers-secure

ant32 commented on 2013-08-27 22:52

I'm getting the same error as with mingw-w64-libtasn1. This happens after installing newer mingw headers.

/build/mingw-w64-libidn_20130827-1525/mingw-w64-libidn/src/libidn-1.26/gl/msvc-inval.c:32:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gl_msvc_invalid_parameter_handler'
gl_msvc_invalid_parameter_handler (const wchar_t *expression,
^
/build/mingw-w64-libidn_20130827-1525/mingw-w64-libidn/src/libidn-1.26/gl/msvc-inval.c: In function 'gl_msvc_inval_ensure_handler':
/build/mingw-w64-libidn_20130827-1525/mingw-w64-libidn/src/libidn-1.26/gl/msvc-inval.c:124:39: error: 'gl_msvc_invalid_parameter_handler' undeclared (first use in this function)
_set_invalid_parameter_handler (gl_msvc_invalid_parameter_handler);